﻿using System.Threading.Tasks;
using PropertyChanged;

namespace ControleCelular
{
	[ImplementPropertyChanged]
	public class BasePageModel
	{
		public bool IsBusy { get; set; }

		public BasePageModel()
		{
			verifyLoginAndGoTo();
		}

		//TODO implement verification
		protected virtual bool verifyLoginAndGoTo()
		{
			return true;
		}

		//TODO implement logOut method
		protected async Task logOut()
		{
		}
	}
}